# game-mode | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

- game-mode

# Module game-mode

## Enumerations

GameModes

## Classes

GameMode

## Variables

CHALLENGE_MODE_MYSTERY_ENCOUNTER_WAVES
CLASSIC_MODE_MYSTERY_ENCOUNTER_WAVES

## Functions

getGameMode

### Settings

Member Visibility

- Protected
- Inherited
- External

Theme

### On This Page

Enumerations
GameModes
Classes
GameMode
Variables
CHALLENGE_MODE_MYSTERY_ENCOUNTER_WAVES
CLASSIC_MODE_MYSTERY_ENCOUNTER_WAVES
Functions
getGameMode